# $Revision: 1.36 $, $Date: 2007/10/09 14:06:37 $
#
# Conditional build:
%bcond_without	python		# don't build python binding
%bcond_without	static_libs	# don't build static library
#
Summary:	Data synchronization framework
Summary(pl.UTF-8):	Szkielet do synchronizacji danych
Name:		libopensync
# WARNING: don't go for 0.3x line - it's DEVELopment series
Version:	0.22
Release:	3
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://www.opensync.org/attachment/wiki/download/%{name}-%{version}.tar.bz2?format=raw
# Source0-md5:	f563ce2543312937a9afb4f8445ef932
URL:		http://www.opensync.org/
Patch0:		%{name}-py-m4.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libxml2-devel
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	swig-python
%endif
BuildRequires:	sqlite3-devel
# no such opensync plugins (yet?)
Obsoletes:	multisync-ldap
Obsoletes:	multisync-opie
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

The synchronization framework is kept very flexible and is capable of
synchronizing any type of data, including contacts, calendar, tasks,
notes and files.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z kilku wtyczek, których można używać do łączenia się z
urządzeniami, potężnego silnika synchronizującego i samego szkieletu.

Szkielet do synchronizacji jest utrzymywany jako bardzo elastyczny i
potrafiący synchronizować dowolny rodzaj danych, włącznie z
kontaktami, kalendarzem, zadaniami, notatkami i plikami.

%package devel
Summary:	Header files for opensync library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki opensync
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	sqlite3-devel
Obsoletes:	multisync-devel

%description devel
Header files for opensync library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki opensync.

%package static
Summary:	Static opensync library
Summary(pl.UTF-8):	Statyczna biblioteka opensync
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static opensync library.

%description static -l pl.UTF-8
Statyczna biblioteka opensync.

%package -n python-opensync
Summary:	Python bindings for opensync library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki opensync
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-opensync
Python bindings for opensync library.

%description -n python-opensync -l pl.UTF-8
Wiązania Pythona do biblioteki opensync.

%prep
%setup -q
%patch0 -p1

[ -x "%{_bindir}/python%{py_ver}-config" ] && sed -i -e 's#python-config#%{_bindir}/python%{py_ver}-config#g' acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?debug:--disable-debug --disable-tracing} \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static \
	--%{?with_python:en}%{!?with_python:dis}able-python

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/opensync/plugins \
    $RPM_BUILD_ROOT%{_datadir}/opensync/defaults

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{py,la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/opensync/formats/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/osplugin
%dir %{_libdir}/opensync
%dir %{_libdir}/opensync/formats
%dir %{_libdir}/opensync/plugins
%dir %{_datadir}/opensync
%dir %{_datadir}/opensync/defaults
%attr(755,root,root) %{_libdir}/opensync/formats/*.so
%{_libdir}/opensync/formats/*.la

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/opensync*
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%if %{with python}
%files -n python-opensync
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopensync.spec,v $
Revision 1.36  2007/10/09 14:06:37  glen
- -devel R: sqlite3-devel; rel 3

Revision 1.35  2007/10/09 09:35:23  arekm
- back to stable 0.2x line. devel 0.3x moved to DEVEL

Revision 1.24  2007/03/28 23:21:21  wrobell
- ver. 0.22

Revision 1.23  2007/03/24 18:06:42  bszx
- updated to 0.21.1

Revision 1.22  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.20  2007/01/27 22:41:24  arekm
- up to 0.20

Revision 1.19  2006/11/05 02:05:55  qboosh
- multisync-syncml Obsoletes moved to new libopensync-plugin-syncml package

Revision 1.18  2006/10/23 21:59:28  glen
- working source0

Revision 1.17  2006/10/23 19:43:54  glen
- added %{_libdir}/osplugin binary

Revision 1.16  2006/10/23 19:23:07  glen
- uploaded to distfiles

Revision 1.15  2006/10/23 19:21:22  glen
- add py-m4.patch

Revision 1.14  2006/10/23 14:16:43  czarny
- up to 0.19
- python patch (0) already in upstream

Revision 1.13  2006/05/03 12:27:03  pluto
- sources dropped in.

Revision 1.12  2006/05/03 12:14:28  pluto
- rm formats/*.a

Revision 1.11  2006/04/19 19:31:58  qboosh
- bcond descs

Revision 1.10  2006/04/16 11:45:26  djurban
- added 2 bconds (python, static_libs)

Revision 1.9  2006/01/31 21:17:24  patrys
- missing BR: sqlite3

Revision 1.8  2006/01/24 10:45:07  qboosh
- -devel Obsoletes: multisync-devel
- base Obsoletes: multisync-{ldap,opie,syncml} (no such opensync plugins yet)

Revision 1.7  2006/01/23 12:18:23  wrobell
- added some missing dirs required by plugins

Revision 1.6  2006/01/09 08:35:37  qboosh
- try this way

Revision 1.5  2006/01/09 08:35:07  qboosh
- argh, stupid wiki downloads

Revision 1.4  2006/01/09 08:31:48  qboosh
- fixed md5

Revision 1.3  2006/01/08 23:25:33  qboosh
- pl, BR: ac,am,lt

Revision 1.2  2005/12/30 11:09:59  wrobell
- fixed python modules installation, patch sent to author

Revision 1.1  2005/12/30 10:42:07  wrobell
- based on template
